{% extends "base.html" %}

{% block content %}
<div class="row">
    <aside class="col-3 min-vh-100 max-vh-100" style="position: relative;">
        {% include 'header.html' %}

        <div id="zoneMessages" class="mb-5">
            {% with messages = get_flashed_messages(with_categories=true) %}
            {% if messages %}
            {% for category, message in messages %}
                <div class="alert alert-{{ category }}">{{ message }}</div>
            {% endfor %}
            {% endif %}
            {% endwith %}
        </div>

        {% include 'form.html' %}
        {% include 'footer.html' %}
    </aside>
    <main class="col-9">
        <div id="map-id"></div>
    </main>
</div>

<script type="text/javascript" src="{{url_for('static', filename='lib/leaflet/leaflet.js')}}"></script>
<script src="{{url_for('static', filename='js/carto.js')}}"></script>
<script src="{{url_for('static', filename='js/prediction.js')}}"></script>
<script src="{{url_for('static', filename='js/algorithms.js')}}"></script>
{% endblock %}


